Skip to main content
GET
/
v1
/
nomenclature
/
{id}
Get nomenclature by ID
curl --request GET \
  --url https://api.nomi.tools/v1/nomenclature/{id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
{
  "nomenclature": {
    "name": "<string>",
    "unitId": "<string>",
    "id": "<string>",
    "categoryId": "<string>",
    "externalId": "<string>",
    "notes": "<string>",
    "sku": "<string>",
    "defaultSellingPrice": 123,
    "defaultSellingCurrencyId": "<string>",
    "averagePriceCurrencyId": "<string>",
    "legalEntityId": "<string>",
    "dateOfReceipt": "2023-12-25",
    "initialStockQuantity": 123,
    "averagePrice": 123,
    "isArchived": true,
    "isIgnoreCostRecalc": true
  },
  "defaultCurrency": {}
}

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication. Provide your email as login and PPT token as the password.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Path Parameters

id
string
required

Response

200 - application/json

Nomenclature details

nomenclature
object
defaultCurrency
object